complexType "ExchangeRate"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 6 elements
Defined: | globally in fpml-fx-5-5.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | quotedCurrencyPair?, rate?, (spotRate?, (forwardPoints?, pointValue?)?)?, crossRate*
</...>

Content Model Elements (6):

  crossRate (in exchangeRate defined in FxCoreDetails.model group),
  forwardPoints (in exchangeRate defined in FxCoreDetails.model group),
  pointValue (in exchangeRate defined in FxCoreDetails.model group),
  quotedCurrencyPair (in exchangeRate defined in FxCoreDetails.model group),
  rate (in exchangeRate defined in FxCoreDetails.model group),
  spotRate (in exchangeRate defined in FxCoreDetails.model group)

All Direct / Indirect Based Elements (1):

  exchangeRate (defined in FxCoreDetails.model group)

Known Usage Locations

- As direct type of elements (1):
  exchangeRate (defined in FxCoreDetails.model group)

Annotation
A type that is used for describing the exchange rate for a particular transaction.
XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="ExchangeRate"> <xsd:sequence> <xsd:element minOccurs="0" name="quotedCurrencyPair" type="QuotedCurrencyPair"/> <xsd:element minOccurs="0" name="rate" type="PositiveDecimal"/> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="spotRate" type="PositiveDecimal"/> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="forwardPoints" type="xsd:decimal"/> <xsd:element minOccurs="0" name="pointValue" type="PointValue"/> </xsd:sequence> </xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="crossRate" type="CrossRate"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/6)
crossRate

  Type: | CrossRate, complex content

  An optional element that allow for definition of the currency exchange rates used to cross between the traded currencies for non-base currency FX contracts.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="crossRate" type="CrossRate"/>

forwardPoints

  Type: | xsd:decimal, predefined, simple content

  An optional element used for deals consumated in the FX Forwards market. Forward points represent the interest rate differential between the two currencies traded and are quoted as a preminum or a discount. Forward points are added to, or subtracted from, the spot rate to create the rate of the forward trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="forwardPoints" type="xsd:decimal"/>

pointValue

  Type: | PointValue, simple content

  An optional element that documents the size of point (pip) in which a rate was quoted (or in this case, forwardPoints are calculated). Point (pip) size varies by currency pair: major currencies are all traded in points of 0.0001, with the exception of JPY which has a point size of 0.01.
  Simple Content

  xsd:decimal

  Pattern: | 1
  Pattern: | 0.0*1

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="pointValue" type="PointValue"/>

quotedCurrencyPair

  Type: | QuotedCurrencyPair, complex content

  Defines the two currencies for an FX trade and the quotation relationship between the two currencies.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quotedCurrencyPair" type="QuotedCurrencyPair"/>

rate

  Type: | PositiveDecimal, simple content

  The rate of exchange between the two currencies of the leg of a deal. Must be specified with a quote basis.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rate" type="PositiveDecimal"/>

spotRate

  Type: | PositiveDecimal, simple content

  An element used for FX forwards and certain types of FX OTC options. For deals consumated in the FX Forwards Market, this represents the current market rate for a particular currency pair. For barrier and digital/binary options, it can be useful to include the spot rate at the time the option was executed to make it easier to know whether the option needs to move "up" or "down" to be triggered.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="spotRate" type="PositiveDecimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.